Subject: [bug#29880] [PATCH] gnu: grep: Add PCRE support.

From: Roel Janssen <[email-masked]>
Date: Tue, 09 Jan 2018 12:23:09 +0100

Ludovic Courtès writes:

> Hello,
>
> Roel Janssen <[email-masked]> skribis:
>
>> I have been maintaining a separate package for grep with PCRE support
>> for the users on our cluster.  What I would like to add is that at least
>> Debian and RedHat enable PCRE in their grep versions.  So using Guix's
>> grep broke some scripts.
>>
>> If compatibility with other GNU/Linux distributions counts for anything,
>> I'd say we should enable it.  I am in favor of enabling PCRE.
>
> OK, that makes sense.
>
>> We could provide a separate version of grep without PCRE as a
>> grep-minimal.
>
> Alternately, what we could do is:
>
>   1. Keep ‘grep-final’ as it is right now (without PCRE support; this
>      has never been a problem so far.)
>
>   2. Add PCRE to ‘grep’ itself (like Oleg did).
>
> Thoughts?

Yes that seems fine to me.

Kind regards,
Roel Janssen